Class Specialization
GlobalAlign
Selects a global alignment method to join a Journaled String to a global reference sequence.

JoinConfig

GlobalAlign

GlobalAlign<TStrategyTag>
Include Headers
seqan/journal_set.h
Parameters

TStrategyTag | The strategy used to compute the journal. Types: GlobalChain, JournaledManhatten

Remarks
If JournaledManhatten is selected, then the resulting Journaled String consists of one insertion node covering the complete joined sequence.
Specialization of
JoinConfig
Functions

join | Joins a Journaled String to a Journaled Set by computing and journaling differences to the global reference sequence. (JoinConfig)

See Also
GlobalChain
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00